> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/single-tournament.md).

# Single Tournament

### Overview

Use this endpoint to retrieve one golf tournament by `tournament_id`.

The response includes tournament metadata, round details, venue details, and golf course details.

Use [Tournaments list](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/tournaments-list.md) to discover available tournaments before requesting a single record.

### Request

**URL**

`GET https://{domain}/golf/rest/v1/tournaments/{tournament_id}`

### Path parameters

| **Name**        | **Type** | **Required** | **Description**        |
| --------------- | -------- | ------------ | ---------------------- |
| `tournament_id` | integer  | Yes          | Tournament identifier. |

### Example request

{% code title="Get a single tournament" overflow="wrap" %}

```http
GET /golf/rest/v1/tournaments/12345 HTTP/1.1
Host: {domain}
Authorization: Bearer <JWT_TOKEN>
```

{% endcode %}

### Response example

{% code overflow="wrap" expandable="true" %}

```
{
  "tour": {
    "sr_tour_id": "sr:stage:306287",
    "tour_id": 306287,
    "name": "PGA tour"
  },
  "sr_tournament_id": "sr:stage:1224619",
  "tournament_id": 1224619,
  "tournament_external_id": "PGA-R2025002",
  "name": "Masters Tournament",
  "season": 2025,
  "status": "IN_PROGRESS",
  "start_date": "2025-04-10",
  "end_date": "2025-04-14",
  "start_tee_time": "2025-04-10T04:00:00Z",
  "country_code": "USA",
  "utc_offset": -4,
  "format": "STROKE",
  "endpoint_type": "STROKE",
  "data_type": "SCHEDULED",
  "rounds": [
    {
      "round_id": 12345,
      "sr_round_id": "sr:stage:12345",
      "number": 1,
      "format": "STROKE",
      "type": "REGULAR",
      "status": "IN_PROGRESS",
      "is_playoff": false
    }
  ],
  "golf_courses": [
    {
      "name": "Bethpage State Park, Black Course",
      "course_id": 42178,
      "sr_course_id": "sr:venue:42178",
      "external_course_id": "PGA-6",
      "is_main": true,
      "details": [
        {
          "round_number": 1,
          "holes": [
            {
              "number": 1,
              "actual_meters": 440.74,
              "actual_yardage": 482,
              "official_meters": 438.91,
              "official_yardage": 480,
              "par": 4,
              "name": "Hole 1 at Bethpage State Park, Black Course",
              "pin_placement": {
                "x": 8895.898,
                "y": 10520.29,
                "z": 18.081
              },
              "tee_boxes": [
                {
                  "x": 10244.591,
                  "y": 10046.862,
                  "z": 11.087
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  "venue": {
    "venue_id": 1234,
    "sr_venue_id": "sr:venue:1245",
    "name": "Bethpage State Park"
  },
  "main_golf_course": {
    "course_id": 42178,
    "sr_course_id": "sr:venue:42178",
    "course_external_id": "PGA-6",
    "name": "Bethpage State Park, Black Course"
  }
}
```

{% endcode %}

### Response fields

The response fields match a single object from [Tournaments list](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/tournaments-list.md).

### Related endpoints

* [Tournaments list](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/tournaments-list.md)
* [Entrylist](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/entrylist.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/single-tournament.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
